commit 66fc3bd75871d7239245c767abf44fb96d772f66
Author: Aurelien Jarno <aurelien@aurel32.net>
Date:   Thu Mar 6 19:34:15 2025 +0100

    math: Remove an extra semicolon in math function declarations
    
    Commit 6bc301672bfbd ("math: Remove __XXX math functions from installed
    math.h [BZ #32418]") left an extra semicolon after macro expansion. For
    instance the ceil declaration after expansion is:
    
      extern double ceil (double __x) __attribute__ ((__nothrow__ , __leaf__)) __attribute__ ((__const__));;
    
    This chokes very naive parsers like gauche c-wrapper. Fix that by
    removing that extra semicolon in the macro.
    
    Reviewed-by: Adhemerval Zanella  <adhemerval.zanella@linaro.org>
    (cherry picked from commit 443cb0b5f25129dd0f1e9f9101299d31c4700b7f)

diff --git a/math/bits/mathcalls-macros.h b/math/bits/mathcalls-macros.h
index 1ef07f1f58..321ae00ec8 100644
--- a/math/bits/mathcalls-macros.h
+++ b/math/bits/mathcalls-macros.h
@@ -34,7 +34,7 @@
 #define __MATHCALLX(function,suffix, args, attrib)	\
   __MATHDECLX (_Mdouble_,function,suffix, args, attrib)
 #define __MATHDECLX(type, function,suffix, args, attrib) \
-  __MATHDECL_1(type, function,suffix, args) __attribute__ (attrib);
+  __MATHDECL_1(type, function,suffix, args) __attribute__ (attrib)
 #define __MATHDECL_1_IMPL(type, function, suffix, args) \
   extern type __MATH_PRECNAME(function,suffix) args __THROW
 #define __MATHDECL_1(type, function, suffix, args) \

